.knf-gallery--masonry {
  margin-bottom: 20px;
}

.knf-gallery--masonry .knf-gallery__sizer,
.knf-gallery--masonry .knf-gallery__item {
  width: calc((100% - 40px) / 3);
}

.knf-gallery--masonry .knf-gallery__gutter {
  width: 20px;
}

.knf-gallery--masonry .knf-gallery__item {
  display: block;
  margin-bottom: 20px;
  text-decoration: none;
}

.knf-gallery--masonry .knf-gallery__image {
  display: block;
  width: 100%;
  height: auto;
}

@media (max-width: 1024px) {
  .knf-gallery--masonry .knf-gallery__sizer,
  .knf-gallery--masonry .knf-gallery__item {
    width: calc((100% - 20px) / 2);
  }
}

@media (max-width: 640px) {
  .knf-gallery--masonry .knf-gallery__sizer,
  .knf-gallery--masonry .knf-gallery__item {
    width: 100%;
  }

  .knf-gallery--masonry .knf-gallery__gutter {
    width: 0;
  }
}